TinyCircuits

TinyScreen+ library and SPI1

MagnusRunesson

  • ***
  • 23
  • Eagerly awaiting TinyArcade!
    • View Profile
TinyScreen+ library and SPI1
« on: February 06, 2016, 01:43:45 PM »
Hi everyone!

I want to play around with the updated TinyScreen library but I can't get it to compile. This is the error message I get:

Code: [Select]
/Users/magnusrunesson/Projects/Arduino/libraries/TinyScreen/TinyScreen.cpp: In constructor 'TinyScreen::TinyScreen(uint8_t)':
/Users/magnusrunesson/Projects/Arduino/libraries/TinyScreen/TinyScreen.cpp:487:12: error: 'SPI1' was not declared in this scope
     TSSPI=&SPI1;
            ^

SPI1 is not defined in any of my SPI libraries. I've looked through the ones that come with the Arduino IDE (1.6.7) and I've installed the Arduino Zero core but that doesn't define SPI1 either. I've installed the Arduino Zero core as I figured that is what Tiny Arcade is based on maybe it is a good start, but that didn't help.

Anyone out there who've used the new TinyScreen+ library? (The one in commit with SHA 0a63de70884f1b00a21a9f6051912df86cc78203)

Thanks!

MagnusRunesson

  • ***
  • 23
  • Eagerly awaiting TinyArcade!
    • View Profile
Re: TinyScreen+ library and SPI1
« Reply #1 on: February 07, 2016, 01:45:57 PM »
Installing TinyScreen+ board by adding this URL https://tiny-circuits.com/Downloads/ArduinoBoards/package_tinycircuits_index.json as an additional board manager sorted that out.